Store a working file in the file storage system. Uploads the file content and associates it with the working file record.
POST
/data/working-files/{working_file_id}/file
curl
curl -X POST "http://api.example.com/data/working-files/a24a6ea4-ce75-4665-a070-57453082c25/file" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json"
import requests
url = "http://api.example.com/data/working-files/a24a6ea4-ce75-4665-a070-57453082c25/file"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
params = {}
payload = None
response = requests.post(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
curl \
--request POST 'http://api.example.com/data/working-files/a24a6ea4-ce75-4665-a070-57453082c25/file' \
--header "Authorization: $API_KEY" \
--header "Content-Type: multipart/form-data" \
--form "file=file content"
Response examples (201)
{
"id": "a24a6ea4-ce75-4665-a070-57453082c25",
"name": "main",
"path": "/project/asset/working/main_v001.blend",
"revision": 1,
"task_id": "b35b7fb5-df86-5776-b181-68564193d36",
"created_at": "2023-01-01T12:00:00Z",
"updated_at": "2023-01-01T12:30:00Z"
}